package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * Description 收费类型(FREE:免费;VIP:会员;CHARGE:单曲收费)
 *
 * @author: liujunchi
 * @date: 2022-03-30
 */
public enum ChargeTypeEnum implements BaseEnum<String,ChargeTypeEnum> {

    FREE("FREE","免费"),
    VIP("VIP","会员"),
    CHARGE("CHARGE","单曲收费");
    @EnumValue
    private String code;
    private String msg;

    ChargeTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
